Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::font_style_node Class Reference

Inheritance diagram for openvrml::vrml97_node::font_style_node:

[legend]
List of all members.

## Detailed Description

FontStyle node instances.

## Public Member Functions

| font_style_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~font_style_node () throw ()
| Destroy.
virtual const std::vector< std::string > & | family () const throw ()
| Get the list of font families.
virtual bool | horizontal () const throw ()
| Get the flag indicating whether the text should be horizontal or vertical.
virtual const std::vector< std::string > & | justify () const throw ()
| Get the descriptor for the text justification.
virtual const std::string & | language () const throw ()
| Get the language code.
virtual bool | left_to_right () const throw ()
| Get the flag indicating whether the text should be rendered left-to-right.
virtual float | size () const throw ()
| Get the size of the text.
virtual float | spacing () const throw ()
| Get the spacing for the text.
virtual const std::string & | style () const throw ()
| Get the style for the text.
virtual bool | top_to_bottom () const throw ()
| Get the flag indicating whether the text should be rendered top-to-bottom.

## Private Attributes

mfstring | family_
| family field.
sfbool | horizontal_
| horizontal field.
mfstring | justify_
| justify field.
sfstring | language_
| language field.
sfbool | leftToRight
| leftToRight field.
sffloat | size_
| size field.
sffloat | spacing_
| spacing field.
sfstring | style_
| style field.
sfbool | topToBottom
| topToBottom field.

## Friends

class | font_style_class
| Class object for FontStyle nodes.

## Constructor & Destructor Documentation

openvrml::vrml97_node::font_style_node::font_style_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with the node instance.
  | scope | the scope to which the node belongs.

Reimplemented from openvrml::font_style_node.

openvrml::vrml97_node::font_style_node::~font_style_node | ( |  | ) | throw ()`[virtual]`

| Destroy. Implements openvrml::font_style_node.

## Member Function Documentation

const std::vector< std::string > & openvrml::vrml97_node::font_style_node::family | ( |  | ) | const throw ()`[virtual]`

Get the list of font families.

Returns:
  an mfstring containing the font families that may be used for this font_style_node.

Implements openvrml::font_style_node.

bool openvrml::vrml97_node::font_style_node::horizontal | ( |  | ) | const throw ()`[virtual]`

Get the flag indicating whether the text should be horizontal or vertical.

Returns:
  `true` if the text should be horizontal, or `false` if the text should be vertical.

Implements openvrml::font_style_node.

const std::vector< std::string > & openvrml::vrml97_node::font_style_node::justify | ( |  | ) | const throw ()`[virtual]`

Get the descriptor for the text justification.

Returns:
  a string array describing the characteristics of the text justification.

Implements openvrml::font_style_node.

const std::string & openvrml::vrml97_node::font_style_node::language | ( |  | ) | const throw ()`[virtual]`

Get the language code.

Returns:
  the language code.

Implements openvrml::font_style_node.

bool openvrml::vrml97_node::font_style_node::left_to_right | ( |  | ) | const throw ()`[virtual]`

Get the flag indicating whether the text should be rendered left-to-right.

Returns:
  `true` if the text should be rendered left-to-right, or `false` if the text should be rendered right-to-left.

Implements openvrml::font_style_node.

float openvrml::vrml97_node::font_style_node::size | ( |  | ) | const throw ()`[virtual]`

Get the size of the text.

Returns:
  the size of the text.

Implements openvrml::font_style_node.

float openvrml::vrml97_node::font_style_node::spacing | ( |  | ) | const throw ()`[virtual]`

Get the spacing for the text.

Returns:
  the spacing for the text.

Implements openvrml::font_style_node.

const std::string & openvrml::vrml97_node::font_style_node::style | ( |  | ) | const throw ()`[virtual]`

Get the style for the text.

Returns:
  an string descriptor of the text style.

Implements openvrml::font_style_node.

bool openvrml::vrml97_node::font_style_node::top_to_bottom | ( |  | ) | const throw ()`[virtual]`

Get the flag indicating whether the text should be rendered top-to-bottom.

Returns:
  `true` if the text should be rendered top-to-bottom, or `false` if the text should be rendered bottom-to-top.

Implements openvrml::font_style_node.

## Friends And Related Function Documentation

openvrml::vrml97_node::font_style_node::font_style_class`[friend]`

| Class object for FontStyle nodes.

## Member Data Documentation

mfstring openvrml::vrml97_node::font_style_node::family_ `[private]`

| family field.

sfbool openvrml::vrml97_node::font_style_node::horizontal_ `[private]`

| horizontal field.

mfstring openvrml::vrml97_node::font_style_node::justify_ `[private]`

| justify field.

sfstring openvrml::vrml97_node::font_style_node::language_ `[private]`

| language field.

sfbool openvrml::vrml97_node::font_style_node::leftToRight `[private]`

| leftToRight field.

sffloat openvrml::vrml97_node::font_style_node::size_ `[private]`

| size field.

sffloat openvrml::vrml97_node::font_style_node::spacing_ `[private]`

| spacing field.

sfstring openvrml::vrml97_node::font_style_node::style_ `[private]`

| style field.

sfbool openvrml::vrml97_node::font_style_node::topToBottom `[private]`

| topToBottom field.